about summary refs log tree commit diff
path: root/test/pamchannel.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2020-03-15 01:08:56 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2020-03-15 01:08:56 +0000
commit7c693525f2e51e7ac4089dd95f5d1210d86bfbc8 (patch)
tree180a9f967c24b5cd0884e0dbde9bd926f6281f1f /test/pamchannel.test
parent4d1f58c55c54071ddc85785a9da42674f7485880 (diff)
downloadnetpbm-mirror-7c693525f2e51e7ac4089dd95f5d1210d86bfbc8.tar.gz
netpbm-mirror-7c693525f2e51e7ac4089dd95f5d1210d86bfbc8.tar.xz
netpbm-mirror-7c693525f2e51e7ac4089dd95f5d1210d86bfbc8.zip
New tests
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@3761 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pamchannel.test')
-rwxr-xr-xtest/pamchannel.test29
1 files changed, 27 insertions, 2 deletions
diff --git a/test/pamchannel.test b/test/pamchannel.test
index 3529f4fe..2e017ef2 100755
--- a/test/pamchannel.test
+++ b/test/pamchannel.test
@@ -1,7 +1,6 @@
 #! /bin/bash
 # This script tests: pamchannel
-# Also requires: pamtopnm
-
+# Also requires: pamtopam pamtopnm
 
 # Extract planes one by one.
 # Convert output to pgm to make it identical to ppmtorgb3 output.
@@ -15,18 +14,44 @@
 
 # Test 1. red channel
 # Should produce 1571496937 33838
+echo "Test 1"
 
 pamchannel -infile testimg.ppm 0 | \
   pamtopnm --assume | cksum
 
 # Test 2. green channel
 # Should produce  394856971 33838
+echo "Test 2"
 
 pamchannel -infile testimg.ppm -tupletype="GRAYSCALE" 1 | \
   pamtopnm | cksum
 
 # Test 3. blue channel
 # Should produce 3164158573 33838
+echo "Test 3"
 
 pamchannel -infile testimg.ppm 2 | \
   pamtopnm --assume | cksum
+
+# Test invalid: specified channel does not exist
+
+echo 1>&2
+echo "Invalid command-line argument combinations." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+echo "Test Invalid"
+
+pamchannel  -infile testgrid.pbm 1 > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+
+pamchannel  -infile testimg.ppm 3 > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+
+pamtopam testimg.ppm | pamchannel -infile=- 4 > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}
\ No newline at end of file